﻿© Fluke Calibration, All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2012: ADJ IEEE /9500+1Hd
DATE:                  2010-08-24 15:07:49
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       148
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY
# 
#  Models covered:
#        TDS 2012
# 
#  Source(s):
#        TDS1000 and TDS2000 Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1076-02
# 
#        MET/CAL 7.20 SP3 (7.20Z) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS1000/2000 Specifications
#        Sub Tek TDS1000/2000 Setup IEEE
#        Sub Tek TDS1000/2000 Cal Steps IEEE /9500
#        Sub Tek TDS1000/2000 Cal Sig Path Comp IEEE
#        Sub Tek TDS1000/2000 Check Cal Status IEEE
#        Sub Tek TDS1000/2000 ADJ Required Equipment /9500
#        Sub Incorrect Connection Calibration Aborted
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000/2000 ADJ Required Equipment /9500"
# 
# The procedure was tested using:
#
#        Model No
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :  10 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         500MH                        1Vpp           LS    S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V

  1.005  IF           NOT(VERSIONCHECK("7.20Z"))
  1.006  END
  1.007  ENDIF

  1.008  CALL         Sub Display Copyright

  1.009  DISP         Ensure a minimum UUT warm-up time of at least
  1.009  DISP         10 minutes has been allowed to elapse, prior
  1.009  DISP         to beginning adjustment.

  1.010  HEAD         COMMUNICATION SETUP
  1.011  TARGET
  1.012  CALL         Sub Tek TDS1000/2000 Setup IEEE
  1.013  JMPL         END                          @Abort
  1.014  IEEE2        *RST

  1.015  HEAD         UUT IDENTIFICATION
  1.016  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.017  MATH         @UUT_Model = "TDS 2012"
  1.018  MATH         @UUT_Manufacturer = "Tektronix"
  1.019  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.020  JMPL         END                          @Abort

  1.021  CALL         Sub Tek TDS1000/2000 Specifications

  1.022  HEAD         EQUIPMENT REQUIREMENTS
  1.023  OPBR         -z Do you want to REVIEW the list of additional
  1.023  OPBR         equipment and/or accessories required?

  1.024  IF           MEM1
  1.025  CALL         Sub Tek TDS1000/2000 ADJ Required Equipment /9500
  1.026  ENDIF

# Query self test result. if failed, abort the procedure
  1.027  IEEE2        DIA:RESU:FLA?[I$]

  1.028  IF           ZCMPI(MEM2, "FAIL")
  1.029  DISP         Self Test failed, procedure will be aborted.
  1.030  END
  1.031  ENDIF

  1.032  HEAD         FACTORY CALIBRATION START
  1.033  TARGET

  1.034  DO
  1.035  CALL         Sub Tek TDS1000/2000 Cal Steps IEEE /9500

  1.036  IF           @Error
  1.037  OPBR         -z Failure occurred during the FACTORY CALIBRATION.
  1.037  OPBR
  1.037  OPBR         Do you wish to retry the calibration?
  1.038  MATH         @Abort = NOT(MEM1)
  1.039  ENDIF

  1.040  UNTIL        NOT(@Error) || @Abort

  1.041  CALL         Sub Tek TDS1000/2000 Cal Sig Path Comp IEEE

  1.042  LABEL        END

  1.043  IF           @Abort
  1.044  HEAD         A D J U S T M E N T   A B O R T E D !
  1.045  ELSE
  1.046  HEAD         A D J U S T M E N T   C O M P L E T E
  1.047  ENDIF

  1.048  IEEE2        *RST
  1.049  END
